/*
 * FechaFueraDeRangoFActualCampoDependiente.java
 *
 * Created on 23 de marzo de 2007, 07:46 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author jlozanop
 */
public class FechaFueraDeRangoFActualCampoDependiente extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaFueraDeRangoFActualCampoDependiente() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {

			Date dateCampo = null;
			try {
				if (!ValidarFecha.esFecha(field))
					return false;
				dateCampo = sdf.parse(field);
			} catch (Exception e) {
				return false;
			}

			Date dateMaxima = Calendar.getInstance().getTime();

			if (dateCampo.after(dateMaxima)) {
				return true;
			}
		}
		return false;
	}
}